Skip to main content
PATCH
Resume Application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier of the application

Response

Application resumed successfully.

manifest
Service · object
required

Deployment manifest defining the application configuration.

createdBySubject
Subject · object
required

Subject (user or service account) that created this deployment

id
string | null

Unique identifier of the deployment

version
number | null

Incremental version number within the application

fqn
string | null

FQN of the deployment

applicationId
string | null

Unique identifier of the application this deployment belongs to

application
ApplicationSummary · object | null

Summary of the parent application (included when requested)

createdAt
string<date-time> | null

Timestamp when the deployment was created

updatedAt
string<date-time> | null

Timestamp when the deployment was last updated

deploymentBuilds
BuildInfo · object[] | null

Build steps associated with this deployment

deploymentStatuses
DeploymentStatus · object[] | null

Full history of deployment status transitions

currentStatusId
string | null

Unique identifier of the current deployment status record

currentStatus
DeploymentStatus · object | null

Current deployment status object.

appliedRecommendations
Recommendation · object[] | null

Applied recommendations for this deployment

createdBy
string | null

Slug of the subject that created this deployment